// GetCpuStatus.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <windows.h>
#include "MxProMonApi.h"

int _tmain(int argc, _TCHAR* argv[])
{
	int cpuLogicCount = 0;
	int cpuCoreIndex = 0;
	double cpuUsage = 0;
	double cpuVoltage = 0;
	double cpuTemperature = 0;

	/* Get CPU Logic Count */
	GetCpuLogicCount(&cpuLogicCount);
	printf("CPU Logic Count = %d\n", cpuLogicCount);

	/* Get CPU Average Usage */
	cpuCoreIndex = 0;
	GetCpuStatus(cpuCoreIndex, &cpuUsage);
	printf("Average CPU Usage = %d%%\n", cpuUsage);

	/* Get CPU Usage of each core */
	for (cpuCoreIndex = 1; cpuCoreIndex <= cpuLogicCount; cpuCoreIndex++)
	{
		GetCpuStatus(cpuCoreIndex, &cpuUsage);
		printf("CPU Usage of core%d = %d%%\n", cpuCoreIndex, cpuUsage);
	}

	/* Get CPU core voltage */
	GetMilliVolt(1, &cpuVoltage);
	printf("CPU Core Voltage = %d mV\n", cpuVoltage);

	/* Get CPU Temperature */
	GetTemperature(1, &cpuTemperature);
	printf("CPU Temperature = %d%cC\n", cpuTemperature, 248);
	


	return 0;
}

